Bullet Collision Detection & Physics Library: btMatrixX.h File Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Macros | Typedefs | Functions
btMatrixX.h File Reference
`#include "LinearMath/btQuickprof.h"`
`#include "LinearMath/btAlignedObjectArray.h"`
`#include <stdio.h>`
Include dependency graph for btMatrixX.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | btIntSortPredicate
| original version written by Erwin Coumans, October 2013 More...
struct | btVectorX< T >
struct | btMatrixX< T >

## Macros
#define | btVectorXu btVectorXf
#define | btMatrixXu btMatrixXf

## Typedefs
typedef btMatrixX< float > | btMatrixXf
typedef btVectorX< float > | btVectorXf
typedef btMatrixX< double > | btMatrixXd
typedef btVectorX< double > | btVectorXd

## Functions
void | setElem (btMatrixXd &mat, int row, int col, double val)
void | setElem (btMatrixXf &mat, int row, int col, float val)

## Macro Definition Documentation

## ◆ btMatrixXu

#define btMatrixXu btMatrixXf

Definition at line 529 of file btMatrixX.h.

## ◆ btVectorXu

#define btVectorXu btVectorXf

Definition at line 528 of file btMatrixX.h.

## Typedef Documentation

## ◆ btMatrixXd

typedef btMatrixX<double> btMatrixXd

Definition at line 470 of file btMatrixX.h.

## ◆ btMatrixXf

typedef btMatrixX<float> btMatrixXf

Definition at line 467 of file btMatrixX.h.

## ◆ btVectorXd

typedef btVectorX<double> btVectorXd

Definition at line 471 of file btMatrixX.h.

## ◆ btVectorXf

typedef btVectorX<float> btVectorXf

Definition at line 468 of file btMatrixX.h.

## Function Documentation

## ◆ setElem() [1/2]

void setElem | ( | btMatrixXd & | mat,
|  | int | row,
|  | int | col,
|  | double | val
| ) |  |
| inline

Definition at line 514 of file btMatrixX.h.

## ◆ setElem() [2/2]

void setElem | ( | btMatrixXf & | mat,
|  | int | row,
|  | int | col,
|  | float | val
| ) |  |
| inline

Definition at line 519 of file btMatrixX.h.